import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceContactWhereInputObjectSchema as InsuranceContactWhereInputObjectSchema } from './InsuranceContactWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => InsuranceContactWhereInputObjectSchema).optional(),
  some: z.lazy(() => InsuranceContactWhereInputObjectSchema).optional(),
  none: z.lazy(() => InsuranceContactWhereInputObjectSchema).optional()
}).strict();
export const InsuranceContactListRelationFilterObjectSchema: z.ZodType<Prisma.InsuranceContactListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactListRelationFilter>;
export const InsuranceContactListRelationFilterObjectZodSchema = makeSchema();
